[Blends-commit] [SCM] ezgo branch, master, updated. 363a74aa4e63a9e6e239d3db3ee55ca51ac64c7d

Franklin franklin at goodhorse.idv.tw
Sat Feb 28 08:03:33 UTC 2015


The following commit has been merged in the master branch:
commit 284c80c0fce6de9d0571f9f54b4e6aec16dabf76
Author: Franklin <franklin at goodhorse.idv.tw>
Date:   Sat Feb 28 15:50:53 2015 +0800

    Postinst script for ezgo-doc

diff --git a/debian/ezgo-doc.postinst b/debian/ezgo-doc.postinst
new file mode 100644
index 0000000..3bcb5a6
--- /dev/null
+++ b/debian/ezgo-doc.postinst
@@ -0,0 +1,30 @@
+#!/bin/sh -e
+
+DOC_VERSION=ezgo12
+DOC_URL=ftp://goodhorse.idv.tw/debian-ezgo/ezgo-doc/${DOC_VERSION}_doc.tar.gz
+MD5_URL=ftp://goodhorse.idv.tw/debian-ezgo/ezgo-doc/${DOC_VERSION}_doc.md5
+OUTPUT_FILE=/usr/share/ezgo/${DOC_VERSION}_doc.tar.gz
+MD5_FILE=/usr/share/ezgo/${DOC_VERSION}_doc.md5
+
+echo "Downloading ${DOC_VERSION} documents..."
+
+exit_with_error()
+{
+	echo $1
+	exit 1
+}
+
+wget --continue -O $OUTPUT_FILE $DOC_URL || exit_with_error "Download ezgo-doc file failed: $?"
+wget --continue -O $MD5_FILE $MD5_URL || exit_with_error "Download md5 file failed: $?"
+
+cd /usr/share/ezgo/
+md5sum -c $MD5_FILE || exit_with_error "md5 checksum error!"
+
+rm -rf ${DOC_VERSION}
+tar xfz $OUTPUT_FILE
+rm -f $MD5_FILE
+rm -f $OUTPUT_FILE
+
+#DEBHELPER#
+
+exit 0

-- 
Blend for educatipn with asian specific adaptations



More information about the Blends-commit mailing list